# class TextTrackCue

#### package js.html

#### extends EventTarget

#### extended by VTTCue

Available on HTML5

### Variables

###

`endTime:Float`

###

`id:String`

###

`onenter:Function`

###

`onexit:Function`

###

`pauseOnExit:Bool`

###

`startTime:Float`

###

`read onlytrack:TextTrack`

### Inherited Variables

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError